"""Mark participations for resubmission

See waskis/issue851

Revision ID: db12a156c1
Revises: 37ed2bcac3f4
Create Date: 2015-12-09 12:46:02.586024

"""

# revision identifiers, used by Alembic.
revision = 'db12a156c1'
down_revision = '37ed2bcac3f4'

from alembic import op
import sqlalchemy as sa


INSERTS = """
UPDATE participations AS p SET has_errors = 't' FROM resultindicators AS r WHERE p.id = r.id AND status_end_measure = 1 AND planned_end_date < end_date;
UPDATE participations AS p SET has_errors = 't' FROM resultindicators AS r WHERE p.id = r.id AND status_end_measure = 0 AND planned_end_date >= end_date;
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(DELETES)
